import { $ } from "execa";
import { Octokit } from "octokit";
async function getGitHub() {
  try {
    await $`gh auth status`;
  } catch (error) {
    throw new Error("GitHub authentication failed.", {
      cause: error.message
    });
  }
  const auth = (await $`gh auth token`).stdout.trim();
  const octokit = new Octokit({ auth });
  return { auth, octokit };
}
export {
  getGitHub
};
//# sourceMappingURL=getGitHub.js.map