interface AllContributorContributor {
    contributions: string[];
    login: string;
}
interface AllContributorsData {
    contributors: AllContributorContributor[];
}
interface PartialPackageData {
    author?: {
        email: string;
        name: string;
    } | string;
    dependencies?: Record<string, string>;
    description?: string;
    devDependencies?: Record<string, string>;
    email?: string;
    name?: string;
    repository?: {
        type: string;
        url: string;
    } | string;
}
type InputBase = "common" | "everything" | "minimum" | "prompt";
interface Options {
    author?: string;
    base?: InputBase;
    createRepository?: boolean;
    description: string;
    email?: string;
    excludeCompliance?: boolean;
    excludeContributors?: boolean;
    excludeLintJson?: boolean;
    excludeLintKnip?: boolean;
    excludeLintMd?: boolean;
    excludeLintPackageJson?: boolean;
    excludeLintPackages?: boolean;
    excludeLintPerfectionist?: boolean;
    excludeLintSpelling?: boolean;
    excludeLintYml?: boolean;
    excludeReleases?: boolean;
    excludeRenovate?: boolean;
    excludeTests?: boolean;
    funding?: string;
    owner: string;
    repository: string;
    skipGitHubApi: boolean;
    skipInstall?: boolean;
    skipRemoval?: boolean;
    skipRestore?: boolean;
    skipUninstall?: boolean;
    title: string;
}

export { AllContributorContributor, AllContributorsData, InputBase, Options, PartialPackageData };
