import fs from "node:fs/promises";
import { EOL } from "node:os";
import { readFileSafe } from "../shared/readFileSafe.js";
const detectionLine = `<!-- You can remove this notice if you don't want it \u{1F642} no worries! -->`;
const endOfReadmeNotice = [
  ``,
  detectionLine,
  ``,
  `> \u{1F499} This package is based on [@JoshuaKGoldberg](https://github.com/JoshuaKGoldberg)'s [create-typescript-app](https://github.com/JoshuaKGoldberg/create-typescript-app).`,
  ``
].join(EOL);
async function updateReadme() {
  const contents = await readFileSafe("./README.md", "");
  if (!contents.includes(detectionLine)) {
    await fs.appendFile("./README.md", endOfReadmeNotice);
  }
}
export {
  endOfReadmeNotice,
  updateReadme
};
//# sourceMappingURL=updateReadme.js.map